MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025553Community[OCCT] OCCT:Shape Healingpublic2014-12-04 13:192016-04-17 15:06
ReporterRoman Lygin 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0025553: ShapeFix_Face::FixMissingSeam() fails to correct a face
DescriptionShapeFix_Face::FixMissingSeam() fails to correct a face with two wires, two edges each.

The edge ends do not correspond to a surface seam and are placeed but with shift one respectively to another - see the 2D screenshot.

FixMissingSeam() fails to fix this. Moreover it tries to apply a rectangular grid (ShapeFix_ComposeShell). Is this geometrical configuration (multiple edges, not surface seam) a known limitation or is it just a bug in ShapeFix ?
Steps To Reproducerestore ii_73.brep
fixshape r ii_73

For additional reproducers please see enclosed files and C++ test
Additional information
and documentation updates
a.brep - interim result right before calling FixMissingSeam()
2D.png - screenshot of results "pcurve a"
TagsNo tags attached.
Test case numberbugs heal bug25553_1, bug25553_2, bug25553_3
Attached Fileszip file icon faces.zip (5,525 bytes) 2014-12-04 13:19
png file icon 2D.png (25,992 bytes) 2014-12-04 13:20
zip file icon sff.zip (4,868 bytes) 2015-01-16 10:40

- Relationships
related to 0026708closedbugmaster Fix shape did not fix attached shape. Seam edge was not added to the attached periodic face. 

-  Notes
(0036128)
git (administrator)
2015-01-16 10:37

Branch CR25553 has been created by Roman Lygin.

SHA-1: 183bf07083ee91d4cf23e4586c73b2b7a9aab3e6


Detailed log of new commits:

Author: Roman Lygin
Date: Fri Jan 16 10:37:32 2015 +0400

    0025553: ShapeFix_Face::FixMissingSeam() fails to correct a face
(0036168)
gka (developer)
2015-01-16 19:13

Branch CR2553 is ready to be tested.
(0036478)
git (administrator)
2015-01-23 18:54

Branch CR25553 has been updated forcibly by apv.

SHA-1: c1e7f23017c57f09079af24b74948243e0716310
(0036479)
apv (tester)
2015-01-23 18:54

Branch CR25553 has been rebased on the current master
(0036786)
apv (tester)
2015-01-28 18:47

Dear BugMaster,

Branch CR25553 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: c1e7f23017c57f09079af24b74948243e0716310

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component :
   Linux: 11 (11 on master)
   Windows: 1 (1 on master)

Regressions/Differences:
http://occt-tests/CR25553-master-occt/Debian60-64/summary.html [^]
http://occt-tests/CR25553-master-occt/Windows-32-VC10/summary.html [^]
bugs vis(004) bug23153
bugs modalg_2(007) bug22631
bugs step(014) bug22145
de iges_1(001) O2
de step_1(004) E6, G9, V6, W9, Y1, ZB3, ZB5, ZX5
de step_2(005) A3, W9, X8
de step_3(006) A5, A9, C6, D8, E6
de step_4(007) H1, H8
de_step_5(008) A1, A7
heal split_angle(007) C1, E4, E5
heal split_closed_faces(011) F6
heal split_angle_advanced(013) B6, B8, D6, E2, L9, N3, N4
heal split_angle_standard(014) A2, A9, C8, D6, D8, E5, I7, I8, Q1, Q2, ZF7, ZM5, ZT9, ZW1, ZW3
heal split_to_revolution_advanced(017) A2, A9, C3, C7, C9, V3, ZE6
heal surface_to_revolution_standard(018) C3
mesh advanced_shading(004) B2, B3
mesh advanced_incmesh(005) B2, B3
mesh advanced_incmesh_parallel(008) B2, B3

http://occt-tests/CR25553-master-products/Debian60-64/summary.html [^]
http://occt-tests/CR25553-master-products/Windows-32-VC10/summary.html [^]
cr standard(001) D3
parasolid doc_3(003) A8, B1, C3, D5, E7, E8
parasolid read(005) C5
sat doc_1(001) B4, C4, D2, G6, W4, Z4
sat doc_2(002) E3, F2, G1
sat doc_3(003) B2, B3
sat doc_6(006) B2, G4, H5
sat read(008) C9
sat sumple(009) A8, B6, C4
sat load(010) A8, C4
sat read_parallel_1(011) C9

Testing on Linux:
Total MEMORY difference: 363354916 / 363900912
Total CPU difference: 51899.259999999944 / 49636.3300000001

Testing on Windows:
Total MEMORY difference: 272015312 / 271661456
Total CPU difference: 43791.34375 / 36569.046875

There are differences in images found by testdiff:
http://occt-tests/CR25553-master-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR25553-master-occt/Windows-32-VC10/diff-Windows-32-VC10.html [^]
heal surface_to_bezier A1
heal surface_to_revolution_advanced S7
heal split_continuity_standard C3
xcaf stp_to_dxc L1
(0037040)
Roman Lygin (developer)
2015-02-04 09:09

As communicated earlier in email, please provide access to (a subset of) failing models. The fix has been tested against the public test suite and passed well.
Thank you.
(0037189)
apv (tester)
2015-02-06 16:33

trj4_s1-ai-214.stp (de step_1 E6)
trj4_k1_geo-pe-203.stp (de step_1 G9)
trj3_s1-ug-214.stp (de step_1 V6)
trj4_s1-ug-214.stp (de step_1 W9)
trj5_s1-ug-214.stp (de step_1 Y1)
trj8_k1-md-214.stp (de step_1 ZX5)
bowl_noremove.brep (heal split_closed_faces F6)
sphere.rle (heal split_angle_standard A2)
res3.rle (heal split_angle_standard A9)
heal-Face1.rle (heal split_angle_standard C8, ZW1)
BUC60277.rle (heal split_angle_standard D6)
BUC60394.rle (heal split_angle_standard D8)
ma-test2.rle (heal split_angle_standard E5)
cts21128c.rle (heal split_angle_standard I7)
cts21128d.rle (heal split_angle_standard I8)
CTO900_pro12953-part.rle (heal split_angle_standard Q2)
cts20552_tool.rle (heal split_angle_standard ZF7)
cts21210b.rle (heal split_angle_standard ZM5)
CTO909_IR2_sphere1_20.brep (heal split_angle_standard ZW3)
BUC60035-ruled-378.rle (heal surface_to_revolution_standard C3)
(0038693)
git (administrator)
2015-03-19 16:03

Branch CR25553_1 has been created by AlexanderZashivalov.

SHA-1: 6fddee873a0e5f1c3f5684790ff2e5cadf681784


Detailed log of new commits:

Author: Alexander Zashivalov
Date: Thu Mar 19 16:03:20 2015 +0300

    0025553: ShapeFix_Face::FixMissingSeam() fails to correct a face
(0038694)
Roman Lygin (developer)
2015-03-19 16:07

The updated fix is in CR25553_1 branch. Please review.
(0039012)
gka (developer)
2015-03-31 11:48

Branch CR25553_1 is ready to be tested
(0039054)
git (administrator)
2015-03-31 17:57

Branch CR25553_1 has been updated forcibly by apv.

SHA-1: 521d7cda79e4248673aa85dd54d6f1769d9b430d
(0039055)
apv (tester)
2015-03-31 17:57

Branch CR25553_1 has been rebased on the current master
(0039106)
apv (tester)
2015-04-01 15:54

Dear BugMaster,

Branch CR25553_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 521d7cda79e4248673aa85dd54d6f1769d9b430d

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component :
   Linux: 4 (4 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
http://occt-tests/CR25553-1-master-occt-64/Debian60-64/summary.html [^]
http://occt-tests/CR25553-1-master-occt-64/Windows-64-VC10/summary.html [^]
bugs modalg_2(007) bug22641
de step_1(004) G9
de step_2(005) A3
de step_3(006) C6, E6
de step_4(007) H1
de_step_5(008) A1, A7
heal surface_to_revolution_advanced(017) A2

http://occt-tests/CR25553-1-master-products-64/Debian60-64/summary.html [^]
http://occt-tests/CR25553-1-master-products-64/Windows-64-VC10/summary.html [^]
sat doc_3(003) B3
parasolid read(005) B2

Testing on Linux:
Total MEMORY difference: 85386086 / 86238394 [-0.99%]
Total CPU difference: 52250.08999999985 / 53310.80000000014 [-1.99%]

Testing on Windows:
Total MEMORY difference: 55671495 / 55679110 [-0.01%]
Total CPU difference: 16352.524023199685 / 15861.557675999678 [+3.10%]
(0042577)
git (administrator)
2015-06-30 11:38

Branch CR25553_2 has been created by AlexanderZashivalov.

SHA-1: 2c8a581f8fe1483970e1c8c6bc12fb430f847194


Detailed log of new commits:

Author: Alexander Zashivalov
Date: Mon Jun 29 12:48:29 2015 +0300

    0025553: ShapeFix_Face::FixMissingSeam() fails to correct a face
(0042579)
AlexanderZashivalov (developer)
2015-06-30 11:45

New branch CR25553_2 has been pushed, please review.
Some tests' ref_data was corrected as algorithm now has more accurate logic. –°onfirmation of this was provided by e-mail.
(0043236)
gka (developer)
2015-07-21 16:54

Branch CR25553_2 is ready to be tested.

Attention!!! : After tests bug CR25553 should be assigned to me.
Until branch CR25553 should not be integrated.
(0043409)
git (administrator)
2015-07-24 14:34

Branch CR25553_2 has been updated forcibly by apv.

SHA-1: 2550cedfd1062ef505ce8ecd5d7cf86c9d8f1e76
(0043410)
apv (tester)
2015-07-24 14:34

Branch CR25553_2 has been rebased on the current master
(0043450)
apv (tester)
2015-07-27 11:54

Dear BugMaster,

Branch CR25553_2 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 2550cedfd1062ef505ce8ecd5d7cf86c9d8f1e76

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
products component :
   Linux: 39 (39 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
http://occt-tests/CR25553-2-master-occt-64/Debian70-64/summary.html [^]
http://occt-tests/CR25553-2-master-occt-64/Windows-64-VC10/summary.html [^]
bugs heal bug25823
bugs modalg_2 bug22631
de step_1 D1, E3, Z1, ZA6, ZB3, ZB4, ZB5. G9
de step_2 D2
de step_3 A5, A9, D8, E6
de step_4 H1
de step_5 A1
heal surface_to_revolution_advanced A2

http://occt-tests/CR25553-2-master-products-64/Debian70-64/summary.html [^]
http://occt-tests/CR25553-2-master-products-64/Windows-64-VC10/summary.html [^]
cr standard D3, D8
parasolid doc_1 A3
parasolid doc_3 A5, A8, C3 (Linux only), D5, E7
sat doc_1 B8, D2, E9, F5, F7, Z1
sat doc_2 C1
sat doc_3 B2, B3, C4
sat doc_6 D7, E8, F8, G5, H1, I7
sat load B3, C4
sat read_parallel_1 D2 (Linux only)
sat simple B3
(0044523)
git (administrator)
2015-08-22 16:28

Branch CR25553_3 has been created by AlexanderZashivalov.

SHA-1: 15eaee06f1500142e73df3932143f62ed4b0792c


Detailed log of new commits:

Author: Alexander Zashivalov
Date: Mon Jun 29 12:48:29 2015 +0300

    0025553: ShapeFix_Face::FixMissingSeam() fails to correct a face
(0044524)
AlexanderZashivalov (developer)
2015-08-22 16:30

Regression reported by e-mail was resolved. Please review.
(0044528)
gka (developer)
2015-08-24 10:27

Branch CR25553_3 is ready to be tested
(0044651)
apv (tester)
2015-08-26 12:53

Dear BugMaster,

Branch CR25553-3 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 15eaee06f1500142e73df3932143f62ed4b0792c

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
products component :
   Linux: 39 (39 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
http://occt-tests/CR25553-3-master-occt-64/Debian70-64/summary.html [^]
http://occt-tests/CR25553-3-master-occt-64/Windows-64-VC10/summary.html [^]
bugs modalg_2 bug22631
bugs step bug24601
de step_1 D1, E3, G9, Z1, ZA6, ZB3, ZB4, ZB5
de step_2 D2, H7
de step_3 A5, A9, C6, D8, E6
de step_4 H1
de step_5 A1, A7
heal surface_to_revolution_advanced A2

http://occt-tests/CR25553-3-master-products-64/Debian70-64/summary.html [^]
http://occt-tests/CR25553-3-master-products-64/Windows-64-VC10/summary.html [^]
cr standard D3, D8
parasolid doc_1 A3
parasolid doc_3 A5, C3, D5
sat doc_1 B8, D2, E9, F5, F7, Z1
sat doc_2 C1, E3
sat doc_3 B2, B3, C4
sat doc_6 D7, E8, F8, G5, I7
sat load B3, C4
sat simple B3

Testing on Linux:
Total MEMORY difference: 88433529 / 89440224 [-1.13%]
Total CPU difference: 17256.96999999991 / 17049.839999999665 [+1.21%]

Testing on Windows:
Total MEMORY difference: 55404223 / 55411749 [-0.01%]
Total CPU difference: 15932.569331199013 / 16293.69604609923 [-2.22%]

There are differences in images found by testdiff:
http://occt-tests/CR25553-3-master-occt-64/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR25553-3-master-occt-64/Windows-64-VC10/diff-Windows-64-VC10.html [^]
http://occt-tests/CR25553-3-master-products-64/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR25553-3-master-products-64/Windows-64-VC10/diff-Windows-64-VC10.html [^]
(0044785)
git (administrator)
2015-08-28 11:54

Branch CR25553_4 has been created by gka.

SHA-1: d085829927ef1f24d4dc40d1f94ba093b246cebe


Detailed log of new commits:

Author: gka
Date: Fri Aug 28 11:53:42 2015 +0300

    0025553: ShapeFix_Face::FixMissingSeam() fails to correct a face
    
    Modification to support case when edges on face have incorrect orientation was added.
    Modification to support case when wires have intersecting segment was added
(0044786)
gka (developer)
2015-08-28 11:55

Could you please to review branch CR25553_4
(0044949)
git (administrator)
2015-09-01 19:38

Branch CR25553_4 has been updated by gka.

SHA-1: 45b99d6b17b7f68635e0c14d0df0962a77578eb6


Detailed log of new commits:

Author: gka
Date: Tue Sep 1 19:37:58 2015 +0300

    0025553: ShapeFix_Face::FixMissingSeam() fails to correct a face
    
    Fix to correct invalid orientation of wires for closed surface was added in the FixMissingSeem operator

(0044953)
git (administrator)
2015-09-02 11:49

Branch CR25553_4 has been updated forcibly by gka.

SHA-1: a5ffa2a9663cafed6bd20a07d3537c4b0242798c
(0044994)
git (administrator)
2015-09-03 12:17

Branch CR25553_4 has been updated by gka.

SHA-1: 601c4194dfe961a24fd9618a37f7cd31329fd968


Detailed log of new commits:

Author: gka
Date: Thu Sep 3 12:17:25 2015 +0300

    Test cases for bug 0025553

(0044996)
gka (developer)
2015-09-03 12:21

Shapes for test scripts buc25553, buc25553_1, buc25553_2 were attached.
(0045052)
git (administrator)
2015-09-04 13:02

Branch CR25553_5 has been created by abv.

SHA-1: 4a7bea005a846b4c3eabe7587ff233ac19cc62ff


Detailed log of new commits:

Author: gka
Date: Wed Sep 2 11:45:35 2015 +0300

    0025553: ShapeFix_Face::FixMissingSeam() fails to correct a face
    
    Modification to support case when edges on face have incorrect orientation was added.
    Modification to support case when wires have intersecting segment was added
    
    Test cases for issue 25553
(0045055)
abv (manager)
2015-09-04 13:09

Reviewed, please test branch CR25553_5 (cleaned up and rebased on new master).

Note that branch already contains tests for this issue, just add BRep files contained in ZIP archives attached to the issue to the test models base (with prefix "bug25553_").
(0045133)
apv (tester)
2015-09-07 12:57
edited on: 2015-09-07 12:57

Dear BugMaster,

Branch CR25553-5 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 4a7bea005a846b4c3eabe7587ff233ac19cc62ff

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
products component :
   Linux: 39 (39 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
http://occt-tests/CR25553-5-master-occt-64/Debian70-64/summary.html [^]
de step_3 D8

http://occt-tests/CR25553-5-master-products-64/Debian70-64/summary.html [^]
http://occt-tests/CR25553-5-master-products-64/Windows-64-VC10/summary.html [^]
sat doc_6 E8

Testing on Linux:
Total MEMORY difference: 90224267 / 91719239 [-1.63%]
Total CPU difference: 17791.99999999901 / 17670.16999999897 [+0.69%]

Testing on Windows:
Total MEMORY difference: 57081276 / 57089171 [-0.01%]
Total CPU difference: 16153.575947899251 / 16226.724816799388 [-0.45%]

There are differences in images found by testdiff:
http://occt-tests/CR25553-5-master-products-64/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR25553-5-master-products-64/Windows-64-VC10/diff-Windows-64-VC10.html [^]
parasolid read D4

(0045325)
git (administrator)
2015-09-09 14:49

Branch CR25553_5 has been updated by gka.

SHA-1: 5eb287b84f494c14c2642d706c5e97a2ddf61e32


Detailed log of new commits:

Author: gka
Date: Wed Sep 9 14:35:56 2015 +0300

    Small modification to avoid regression for sat/doc_6/E8 test case

Author: gka
Date: Thu Sep 3 12:17:25 2015 +0300

    Test cases for bug 0025553

(0045327)
gka (developer)
2015-09-09 14:50

Branch CR25553_5 is ready to be reviewed
(0045329)
git (administrator)
2015-09-09 15:03

Branch CR25553_5 has been updated forcibly by abv.

SHA-1: 4cb347d07599c263f4638737435bd046029c223e
(0045355)
abv (manager)
2015-09-09 18:59

Reviewed, please test
(0045402)
mkv (tester)
2015-09-10 12:56

Dear BugMaster,
Branch CR25553_5 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested on Release mode.
SHA-1: 4cb347d07599c263f4638737435bd046029c223e

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
http://occt-tests/CR25553-5-master-occt-64/Windows-64-VC10/de/step_3/D8.html [^]
de step_3 D8: FAILED

Testing cases:
http://occt-tests/CR25553-5-master-occt-64/Debian70-64/bugs/heal/bug25553_1.html [^]
http://occt-tests/CR25553-5-master-occt-64/Windows-64-VC10/bugs/heal/bug25553_1.html [^]
bugs heal bug25553_1: OK

http://occt-tests/CR25553-5-master-occt-64/Debian70-64/bugs/heal/bug25553_2.html [^]
http://occt-tests/CR25553-5-master-occt-64/Windows-64-VC10/bugs/heal/bug25553_2.html [^]
bugs heal bug25553_2: OK

http://occt-tests/CR25553-5-master-occt-64/Debian70-64/bugs/heal/bug25553_3.html [^]
http://occt-tests/CR25553-5-master-occt-64/Windows-64-VC10/bugs/heal/bug25553_3.html [^]
bugs heal bug25553_3: OK

Testing on Linux:
occt component :
Total MEMORY difference: 91707590 / 91717246 [-0.01%]
Total CPU difference: 17705.289999999113 / 17668.02999999897 [+0.21%]
products component :
Total MEMORY difference: 25220299 / 25209091 [+0.04%]
Total CPU difference: 7346.719999999997 / 6932.900000000004 [+5.97%]

Testing on Windows:
occt component :
Total MEMORY difference: 56988563 / 56979281 [+0.02%]
Total CPU difference: 16368.654526598959 / 16540.895230699352 [-1.04%]
products component :
Total MEMORY difference: 16226662 / 16225943 [+0.00%]
Total CPU difference: 5358.275547699977 / 5398.88260799997 [-0.75%]

There are following differences in images found by testdiff.
http://occt-tests/CR25553-5-master-products-64/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR25553-5-master-products-64/Windows-64-VC10/diff-Windows-64-VC10.html [^]
IMAGE parasolid read D4: D4.png differs

http://occt-tests/CR25553-5-master-occt-64/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR25553-5-master-occt-64/Windows-64-VC10/diff-Windows-64-VC10.html [^]
IMAGE de step_1 G9: G9.png differs
(0045441)
git (administrator)
2015-09-10 17:11

Branch CR25553_5 has been updated by gka.

SHA-1: 5c16dab367b5c1c7e679471df7d67d2b7feea9ba


Detailed log of new commits:

Author: gka
Date: Thu Sep 10 17:07:33 2015 +0300

    Corrected test case

(0045442)
gka (developer)
2015-09-10 17:14

Case de step_3 D8 is not regression .Corrected test case was pushed in CR25553_5 branch.
Case de step_1 G - improvement;
Case parasolid read D4 is not regression. This case is bad in both versions
(0046965)
git (administrator)
2015-10-16 16:37

Branch CR25553_4 has been deleted by kgv.

SHA-1: 601c4194dfe961a24fd9618a37f7cd31329fd968
(0046966)
git (administrator)
2015-10-16 16:37

Branch CR25553_5 has been deleted by kgv.

SHA-1: 5c16dab367b5c1c7e679471df7d67d2b7feea9ba
(0047030)
git (administrator)
2015-10-16 16:47

Branch CR25553 has been deleted by kgv.

SHA-1: c1e7f23017c57f09079af24b74948243e0716310
(0047031)
git (administrator)
2015-10-16 16:47

Branch CR25553_1 has been deleted by kgv.

SHA-1: 521d7cda79e4248673aa85dd54d6f1769d9b430d
(0047032)
git (administrator)
2015-10-16 16:47

Branch CR25553_3 has been deleted by kgv.

SHA-1: 15eaee06f1500142e73df3932143f62ed4b0792c
(0053248)
git (administrator)
2016-04-17 15:06

Branch CR25553_2 has been deleted by kgv.

SHA-1: 2550cedfd1062ef505ce8ecd5d7cf86c9d8f1e76

- Related Changesets
occt: master 0d3d226e
Timestamp: 2015-09-10 14:42:22
Author: gka
Committer: bugmaster
Details ] Diff ]
0025553: ShapeFix_Face::FixMissingSeam() fails to correct a face

Modification to support case when edges on face have incorrect orientation was added.
Modification to support case when wires have intersecting segment was added

Test cases for issue 25553 added; other affected tests corrected (improvements)

Corrected test case
mod - src/ShapeFix/ShapeFix_Face.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_IntersectionTool.cxx Diff ] File ]
add - tests/bugs/heal/bug25553_1 Diff ] File ]
add - tests/bugs/heal/bug25553_2 Diff ] File ]
add - tests/bugs/heal/bug25553_3 Diff ] File ]
mod - tests/de/step_1/D1 Diff ] File ]
mod - tests/de/step_1/G9 Diff ] File ]
mod - tests/de/step_3/D8 Diff ] File ]
mod - tests/de/step_3/E6 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-12-04 13:19 Roman Lygin New Issue
2014-12-04 13:19 Roman Lygin Assigned To => gka
2014-12-04 13:19 Roman Lygin File Added: faces.zip
2014-12-04 13:20 Roman Lygin File Added: 2D.png
2014-12-05 19:21 Roman Lygin Assigned To gka => Roman Lygin
2014-12-05 19:21 Roman Lygin Status new => assigned
2015-01-16 10:37 git Note Added: 0036128
2015-01-16 10:38 Roman Lygin Assigned To Roman Lygin => gka
2015-01-16 10:38 Roman Lygin Status assigned => resolved
2015-01-16 10:38 Roman Lygin Steps to Reproduce Updated View Revisions
2015-01-16 10:40 Roman Lygin File Added: sff.zip
2015-01-16 19:13 gka Note Added: 0036168
2015-01-16 19:13 gka Assigned To gka => bugmaster
2015-01-16 19:13 gka Status resolved => reviewed
2015-01-23 16:28 apv Assigned To bugmaster => apv
2015-01-23 18:54 git Note Added: 0036478
2015-01-23 18:54 apv Note Added: 0036479
2015-01-28 18:47 apv Note Added: 0036786
2015-01-28 18:47 apv Assigned To apv => Roman Lygin
2015-01-28 18:47 apv Status reviewed => assigned
2015-02-04 09:09 Roman Lygin Note Added: 0037040
2015-02-04 09:09 Roman Lygin Assigned To Roman Lygin => apv
2015-02-04 09:09 Roman Lygin Status assigned => feedback
2015-02-06 15:04 apv Assigned To apv => gka
2015-02-06 15:04 apv Status feedback => assigned
2015-02-06 16:05 gka Assigned To gka => Roman Lygin
2015-02-06 16:05 gka Assigned To Roman Lygin => akz
2015-02-06 16:33 apv Note Added: 0037189
2015-02-06 17:05 gka Assigned To akz => Roman Lygin
2015-03-19 16:03 git Note Added: 0038693
2015-03-19 16:07 Roman Lygin Note Added: 0038694
2015-03-19 16:07 Roman Lygin Assigned To Roman Lygin => gka
2015-03-19 16:07 Roman Lygin Status assigned => resolved
2015-03-31 11:48 gka Note Added: 0039012
2015-03-31 11:48 gka Assigned To gka => bugmaster
2015-03-31 11:48 gka Status resolved => reviewed
2015-03-31 14:10 apv Assigned To bugmaster => apv
2015-03-31 17:57 git Note Added: 0039054
2015-03-31 17:57 apv Note Added: 0039055
2015-04-01 15:54 apv Note Added: 0039106
2015-04-01 15:54 apv Assigned To apv => Roman Lygin
2015-04-01 15:54 apv Status reviewed => assigned
2015-04-06 13:16 abv Target Version => 6.9.0
2015-04-27 08:07 Roman Lygin Assigned To Roman Lygin => AlexanderZashivalov
2015-05-06 06:52 abv Target Version 6.9.0 => 7.1.0
2015-06-30 11:38 git Note Added: 0042577
2015-06-30 11:45 AlexanderZashivalov Note Added: 0042579
2015-07-13 08:36 AlexanderZashivalov Assigned To AlexanderZashivalov => gka
2015-07-13 08:36 AlexanderZashivalov Status assigned => resolved
2015-07-21 16:54 gka Note Added: 0043236
2015-07-21 16:54 gka Assigned To gka => bugmaster
2015-07-21 16:54 gka Status resolved => reviewed
2015-07-24 14:34 git Note Added: 0043409
2015-07-24 14:34 apv Note Added: 0043410
2015-07-24 14:34 apv Assigned To bugmaster => apv
2015-07-27 11:54 apv Note Added: 0043450
2015-07-27 11:54 apv Assigned To apv => gka
2015-07-27 11:54 apv Status reviewed => assigned
2015-08-06 14:33 gka Assigned To gka => Roman Lygin
2015-08-22 16:28 git Note Added: 0044523
2015-08-22 16:30 AlexanderZashivalov Note Added: 0044524
2015-08-22 16:30 AlexanderZashivalov Assigned To Roman Lygin => gka
2015-08-22 16:30 AlexanderZashivalov Status assigned => resolved
2015-08-24 10:27 gka Note Added: 0044528
2015-08-24 10:27 gka Assigned To gka => bugmaster
2015-08-24 10:27 gka Status resolved => reviewed
2015-08-24 11:07 mkv Assigned To bugmaster => apv
2015-08-26 12:53 apv Note Added: 0044651
2015-08-26 12:53 apv Assigned To apv => gka
2015-08-26 12:53 apv Status reviewed => assigned
2015-08-28 11:54 git Note Added: 0044785
2015-08-28 11:55 gka Note Added: 0044786
2015-08-28 11:55 gka Assigned To gka => abv
2015-08-28 11:55 gka Status assigned => resolved
2015-08-28 18:31 abv Target Version 7.1.0 => 6.9.1
2015-09-01 19:38 git Note Added: 0044949
2015-09-02 11:49 git Note Added: 0044953
2015-09-03 12:17 git Note Added: 0044994
2015-09-03 12:18 gka File Added: buc25553.brep
2015-09-03 12:19 gka File Added: buc25553_1.brep
2015-09-03 12:19 gka File Added: buc25553_2.brep
2015-09-03 12:21 gka Note Added: 0044996
2015-09-04 13:02 git Note Added: 0045052
2015-09-04 13:08 abv File Deleted: buc25553.brep
2015-09-04 13:08 abv File Deleted: buc25553_1.brep
2015-09-04 13:08 abv File Deleted: buc25553_2.brep
2015-09-04 13:09 abv Note Added: 0045055
2015-09-04 13:09 abv Assigned To abv => bugmaster
2015-09-04 13:09 abv Status resolved => reviewed
2015-09-04 13:28 mkv Assigned To bugmaster => apv
2015-09-07 12:57 apv Note Added: 0045133
2015-09-07 12:57 apv Assigned To apv => gka
2015-09-07 12:57 apv Status reviewed => assigned
2015-09-07 12:57 apv Note Edited: 0045133 View Revisions
2015-09-09 14:49 git Note Added: 0045325
2015-09-09 14:50 gka Note Added: 0045327
2015-09-09 14:50 gka Assigned To gka => abv
2015-09-09 14:50 gka Status assigned => resolved
2015-09-09 15:03 git Note Added: 0045329
2015-09-09 18:59 abv Note Added: 0045355
2015-09-09 18:59 abv Assigned To abv => bugmaster
2015-09-09 18:59 abv Status resolved => reviewed
2015-09-09 19:07 mkv Assigned To bugmaster => mkv
2015-09-10 12:56 mkv Note Added: 0045402
2015-09-10 12:56 mkv Assigned To mkv => gka
2015-09-10 12:56 mkv Status reviewed => assigned
2015-09-10 12:56 mkv Test case number => bugs heal bug25553_1, bug25553_2, bug25553_3
2015-09-10 17:11 git Note Added: 0045441
2015-09-10 17:14 gka Note Added: 0045442
2015-09-10 17:15 gka Assigned To gka => bugmaster
2015-09-10 17:15 gka Status assigned => feedback
2015-09-10 17:37 mkv Status feedback => tested
2015-09-11 14:09 bugmaster Changeset attached => occt master 0d3d226e
2015-09-11 14:09 bugmaster Status tested => verified
2015-09-11 14:09 bugmaster Resolution open => fixed
2015-09-18 19:45 gka Relationship added related to 0026708
2015-10-16 14:55 user533 Status verified => closed
2015-10-16 16:37 git Note Added: 0046965
2015-10-16 16:37 git Note Added: 0046966
2015-10-16 16:47 git Note Added: 0047030
2015-10-16 16:47 git Note Added: 0047031
2015-10-16 16:47 git Note Added: 0047032
2015-10-23 20:49 user533 Fixed in Version => 6.9.1
2016-04-17 15:06 git Note Added: 0053248


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker